// AnimGenerateDlg.h : header file
//

#if !defined(AFX_ANIMGENERATEDLG_H__80638C6B_33CA_11D3_B48B_00609712FBEF__INCLUDED_)
#define AFX_ANIMGENERATEDLG_H__80638C6B_33CA_11D3_B48B_00609712FBEF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CAnimGenerateDlg dialog

class CAnimGenerateDlg : public CDialog
{
// Construction
public:
	CAnimGenerateDlg(CWnd* pParent = NULL);	// standard constructor
	void LoadSettings();
	void SaveSettings();

// Dialog Data
	//{{AFX_DATA(CAnimGenerateDlg)
	enum { IDD = IDD_ANIMGENERATE_DIALOG };
	CEdit	m_ctlEditStandpose;
	CEdit	m_ctlEditPrefix;
	CEdit	m_ctlEditDestination;
	CString	m_editStandpose;
	CString	m_editDestination;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAnimGenerateDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CAnimGenerateDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBrowseStandpose();
	afx_msg void OnBrowseDestination();
	afx_msg void OnSuffix();
	afx_msg void OnExecute();
	afx_msg void OnClose();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ANIMGENERATEDLG_H__80638C6B_33CA_11D3_B48B_00609712FBEF__INCLUDED_)
